<?php

/*
'#################################################################
'# 程序名称：中环CMSV2.0
'# 授权方式：免费软件
'# 作者：善
'# 联系QQ:9118847
'# 作者网站:http://www.ps173.com
'# 发布时间：2015-6-10
'# 声明：欢迎广大的PHP爱好者一起共同探讨
'# 声明：各种用途均可免费使用、自由传播，但必须保留程序代码中的版权信息。
'#################################################################
 */

//广告Model类
class AdverModel extends Model{

	//数据初始化
	public function __construct(){
		parent::__construct();
		$this->tabname = TAB_FIX."adver";
		$this->tabkey = array("id", "name", "tit", "position", "code", "state", "posttime");
	}

	public function getadver(){
		$data = $this->field("position, code")->where(array("state"=>0))->all();

		if(!empty($data) && is_array($data)){
			foreach($data as $key => $val){
				$data[$key]['code'] = val::unhtml($val['code']);
			}
		}else{
			return false;
		}

		return $data;
	}

	//添加广告
	public function insert($post){
		$post['posttime'] = time();
		return $this->add($post);
	}

	//删除广告
	public function delete($id){
		return $this->del($id);
	}

	//读取广告列表
	public function num(){
		return $this->field()->all();
	}
	//设置显示或隐藏
	public function sets($id, $post){
		return $this->where($id)->mod($post);
	}

	//获取一条数据
	public function find($id){
		return $this->field("id, name, tit, position, code")->where(array("id"=>$id))->one();
	}

	//检测名称是否存在
	public function checkname($name){
		return $this->field("id")->where(array("name"=>$name))->one();
	}

	//修改广告
	public function update($post){
		return $this->mod($post);
	}

}



?>